Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362499 - "url --mirrorlist" in kickstart does not work: Invalid value for 'inst.repo': None
Summary: "url --mirrorlist" in kickstart does not work: Invalid value for 'inst.repo':...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 11:33 UTC by Petr Spacek
Modified: 2018-12-30 14:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-23 17:17:19 UTC


Attachments (Terms of Use)

Description Petr Spacek 2016-08-02 11:33:01 UTC
Description of problem:
Directive "url --mirrorlist" in kickstart does not work. Installation fails with error "Invalid value for 'inst.repo': None"

Version-Release number of selected component (if applicable):
Anaconda released with Fedora 24

How reproducible:
100 %

Steps to Reproduce:
1. Write a kickstart containing line "url --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-24&arch=x86_64"


Actual results:
dracut-initqeue reports following error message:
"Invalid value for 'inst.repo': None"


Expected results:
Best mirror is picked up by the Anaconda.

Additional info:
I would expect the same functionality from "repo --mirrorlist" directive.

# md5sum dist-Fedora-24-x86_64-*
17904fb1d15608d245272afa1122a9d6  dist-Fedora-24-x86_64-initrd
1f22d360aefe14334f8e8e1238515af3  dist-Fedora-24-x86_64-kernel

Comment 1 Fedora End Of Life 2017-07-25 22:12:34 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Anders Blomdell 2017-08-02 12:25:43 UTC
Still an issue with Fedora-26

Comment 3 Fedora End Of Life 2017-08-08 16:09:59 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Samantha N. Bueno 2017-09-01 13:31:48 UTC
Re-opening based on comment 2.

Comment 5 Radek Vykydal 2017-09-05 09:24:55 UTC
I am not able to reproduce the issue with Fedora 26.

Anders, could you please post screenshot of the error and describe your installation method in more detail.

Are you using pxe or DVD installation (full DVD or network installation)?

Which boot options are you using?

Which kickstart you are using?

Comment 6 Radek Vykydal 2017-09-05 12:32:31 UTC
Ah, I see, the case is PXE installation with no stage2 supplied via inst.stage2 or inst.repo.
I am afraid we are not able to support downloading stage2 (in the limited initramfs environment) via mirrorlist.

Comment 7 Anders Blomdell 2017-09-07 11:49:48 UTC
Specifying "stage2=..." made the trick. Thanks! 

The error message could be improved though...

Comment 8 John Smith 2018-12-30 14:19:05 UTC
One more info, if anyone stumbles upon this: When I booted my machine with a netinstaller ISO, I had to leave the `inst.stage2` directive there and append my `inst.ks` directive before the `quiet` directive. Without the `inst.stage2` directive I received the same error as seen above.


Note You need to log in before you can comment on or make changes to this bug.